WEBLOGVIS(1)

NAME
weblogvis - visualize activity and performance from Web server logs

SYNOPSIS
weblogvis [-bCfiVz] [-A align] [-a archive] [-h host] [-I time] [-m max] [-n pmnsfile] [-O time] [-p port] [-S time] [-t interval] [-T time] [-x version] [-Z timezone] [server ...]

DESCRIPTION
weblogvis displays Web server activity as extracted from the Web server access logs by the Performance Co-Pilot (PCP) agent pmdaweblog(1). The display is modulated by the values of the performance metrics retrieved from the target host which is running pmcd(1) and the pmdaweblog(1) Performance Metrics Domain Agent (PMDA(3)), or from the PCP archive log identified by archive. The display is updated every interval seconds (default 2 seconds).

The default display mode shows the request rate classified by request response size, for all Web server logs being monitored by pmdaweblog(1). The top of the display includes the idle time and the total request rate of each Web server. The list of servers can be restricted by specifying server names. The possible servers are listed in the pmdaweblog(1) configuration file.

weblogvis uses pmview(1), and so the user interface follows that described for pmview(1), which in turn displays the scene within an Inventor examiner viewer.

weblogvis passes most command line options to pmview(1). Therefore, the command line options -A, -a, -C, -h, -n, -O, -p, -S, -t, -T, -x, -Z and -z, and the user interface are described in the pmview(1) man page.

COMMAND LINE OPTIONS
The weblogvis specific options are:

-b  Change the display mode to report bytes per second, rather than requests per second.

-f  Change the classification of activity to use HTTP functions (Get, Post, Head and Other), rather than the default classification by request result size. With this classification, the error rates from the logs for each Web server are also displayed.

-i  Label each column with the name of the Web server.

-I time
    Change the dafult expected idle time for the Web servers from 3600 seconds (1 hour) to time.

-m max
    Change the default normalization maximum to max bytes/second or requests/second, depending on the display mode. The defaults are 500000 bytes per second or 100 requests per second.

-V  Verbose mode - output the generated pmview(1) configuration file.

FILES
$PCP_VAR_DIR/config/pmlogger/config.web
    pmlogger(1) configuration file that can be used to create a PCP archive suitable for display with weblogvis
$PCP_VAR_DIR/config/pmchart/Web.Alarms
    pmchart(1) configuration file for monitoring Web server alarm conditions
$PCP_VAR_DIR/config/pmchart/Web.Requests
    pmchart(1) configuration file for monitoring Web server requests
$PCP_VAR_DIR/config/pmchart/Web.Volume
    pmchart(1) configuration file for monitoring the volume of Web server transactions
$PCP_PMDAS_DIR/weblog
    installation directory of pmdaweblog(1)

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(4).

SEE ALSO
pmcd(1), pmchart(1), pmdaweblog(1), pmlogger(1), pmview(1), webpingvis(1), webvis(1), pcp.conf(4) and pcp.env(4).